--[[
NAME
    ball_3d
FUNCTION
    ball_3d(r, iter)
NOTES
    Creates a ball shape at (0, 0, 0).
INPUTS
    r   - radius in pixels
    iter - iterations (suggested value: 1 to 8)
OUTPUTS
    zePolygon object of GL_TRIANGLES
]]

require("register")

function ball_3d(r, iter)
    local shape, xyz, nor = zeGrf.new("polygon", "vertex", "vertex")
    shape:set{vertex = xyz, vertex_normal = nor, type = "triangles"}
    local arr = zeUtl.new("double")
    zeMake.sphere(arr, r, iter)
    xyz:add(arr)
    arr:shift(3)
    nor:add(arr)
    return shape
end
